<AuthState name="${state.entry}" class="ch.nevis.esauth.auth.states.scripting.ScriptState" final="false" resumeState="true">
    <ResultCond name="noAccount" next="${state.exit.1}"/>
    <ResultCond name="backToVerification" next="${state.exit.2}"/>
    <ResultCond name="firstLogin" next="${state.entry}_NotifyUser"/>
    <ResultCond name="ok" next="${state.done}"/>
    <ResultCond name="error" next="${state.failed}"/>

    <Response value="AUTH_CONTINUE">
		<Gui name="eid_login_multiple_accounts">
			<GuiElem name="accountEmail" type="hidden" value="UNKNOWN" optional="true"/>
            <GuiElem name="login" type="submit" value="unknown" optional="true"/> 
            <GuiElem name="cancelEid" type="submit" value="unknown" optional="true"/> 
		</Gui>
	</Response>

    <property name="script" value="file:///var/opt/nevisauth/default/conf/eid_fetch_linked_accounts.groovy"/>
	<property name="scriptTraceGroup" value="AGOV-ACCT"/>
    <property name="parameter.baseUrl" value="${var.eid.idm.rest.baseUrl}" />
    <property name="parameter.clientExtId" value="${var.eid.idm.rest.clientExtId}" />
    <property name="parameter.idm.httpclient.tls.trustStoreRef" value="${keystore}"/>
 </AuthState>


 <AuthState name="${state.entry}_NotifyUser" class="ch.nevis.esauth.auth.states.scripting.ScriptState" final="false" resumeState="true">
    <ResultCond name="ok" next="${state.done}"/>
    <ResultCond name="error" next="${state.failed}"/>
    <property name="script" value="file:///var/opt/nevisauth/default/conf/eid_notify_user_first_login.groovy"/>
    <property name="parameter.baseUrl" value="${var.eid.idm.rest.baseUrl}" />
    <property name="parameter.clientExtId" value="${var.eid.idm.rest.clientExtId}" />
    <property name="parameter.idm.httpclient.tls.trustStoreRef" value="${keystore}"/>
 </AuthState>
